c-----------------------------------------------------------------------
c INCLUDE 'aerprod.h

      COMMON/aerprod/utilaer,maer,prodaer,csn,csh
      COMMON/htoh2/psurfhaze

      integer utilaer(16)

c 1: melange (prodaer,csn,csh) / 2: polyC2H2 / 3: PAHs / 4: polyHCN
c maer:    en g mol-1, masse molaire moyenne
c prodaer: en kg m-3 s-1, mass production rates

      real  maer(ip1jmp1,llm,4),prodaer(ip1jmp1,llm,4)
      real  csn(ip1jmp1,llm,4),csh(ip1jmp1,llm,4)

c for H-> H2
      real  psurfhaze(ip1jmp1,llm) ! total area of haze particles (um2/cm3)

c-----------------------------------------------------------------------

